/* strtoul.c, from p.185 of Turbo C Bible  */
/* Converts a string to a unsigned long integer. */
#include <stdio.h>
#include <stdlib.h>
main(int argc, char **argv)
{
	char *stop_at;                   /* Marks where strtoul stopped   */
	int  radix;
	unsigned long value;
	if(argc < 3)
	{
		printf("Usage: %s <value> <radix>\n", argv[0]);
	}
	else
	{
		radix = atoi(argv[2]);
		value = strtoul(argv[1], &stop_at, radix);
		printf("Value read in radix %d = %lu\n"
			"Stopped at: %s\n", radix, value, stop_at);
	}
}
