/* ultoa.c, from p.186 of Turbo C Bible  */
/* Converts an unsigned long integer value into a string. */
#include <stdio.h>
#include <stdlib.h>
main(int argc, char **argv)
{
	char buffer[17];              /* Buffer for ultoa                  */
	int radix;
	unsigned long value;
	if(argc < 3)
	{
		printf("Usage: %s <value> <radix>\n", argv[0]);
	}
	else
	{
		value = atol(argv[1]);
		radix = atoi(argv[2]);
		ultoa(value, buffer, radix);
		printf("%s in radix %s = %s\n", argv[1], argv[2], buffer);
	}
}