/* atan2.c, FUNCTION FROM P. 200 OF C BIBLE */
#include <stdio.h>
#include <stdlib.h> 		       /* errno is defined here */
#include <math.h>
#define R_TO_D 57.29578
main(int argc, char **argv)
{
	double result;

	if(argc > 3)
	{
		printf("Usage %s <y> <x>\n", argv[0]);
	}
	else
	{
		result = atan2(atof(argv[1]), atof(argv[2])) * R_TO_D;
		if(errno != EDOM)
		{
			printf("Arc tangent (%s/%s) = %f deg.\n",
						argv[1], argv[2], result);
		}
	}
}